Loading...
Searching...
No Matches
Gfx::EngineShadow Struct Reference

Shadow drawn by the graphics engine. More...

`#include <src/graphics/engine/engine.h>`

## Public Member Functions

void | LoadDefault ()

## Public Attributes

bool | used = false
| If true, shadow is valid.
bool | hide = false
| If true, shadow is invisible (object being carried for example).
int | objRank = -1
| Rank of the associated object.
EngineShadowType EngineShadowType | type = ENG_SHADOW_NORM
| Type of shadow.
Math::Vector | pos
| Position of the shadow.
Math::Vector | normal
| Normal to the terrain.
float | angle = 0.0f
| Angle of the shadow.
float | radius = 0.0f
| Radius of the shadow.
float | intensity = 0.0f
| Intensity of the shadow.
float | height = 0.0f
| Height from the ground.

## Detailed Description

Shadow drawn by the graphics engine.

## Member Data Documentation

## used

bool Gfx::EngineShadow::used = false

If true, shadow is valid.

## hide

bool Gfx::EngineShadow::hide = false

If true, shadow is invisible (object being carried for example).

## objRank

int Gfx::EngineShadow::objRank = -1

Rank of the associated object.

## type

EngineShadowType EngineShadowType Gfx::EngineShadow::type = ENG_SHADOW_NORM

Type of shadow.

## pos

Math::Vector Gfx::EngineShadow::pos

Position of the shadow.

## normal

Math::Vector Gfx::EngineShadow::normal

Normal to the terrain.

## angle

float Gfx::EngineShadow::angle = 0.0f

Angle of the shadow.

## radius

float Gfx::EngineShadow::radius = 0.0f

Radius of the shadow.

## intensity

float Gfx::EngineShadow::intensity = 0.0f

Intensity of the shadow.

## height

float Gfx::EngineShadow::height = 0.0f

Height from the ground.

The documentation for this struct was generated from the following file:

- src/graphics/engine/engine.h